netsnmp_mib_handler_s(3)

NAME
netsnmp_mib_handler_s -

the mib handler structure to be registered

SYNOPSIS

#include <agent_handler.h>

  Data Fields
char * handler_name
void * myvoid
for handler's internal use
int flags
for agent_handler's internal use
int(* access_method )(struct netsnmp_mib_handler_s *, struct netsnmp_handler_registration_s *, struct netsnmp_agent_request_info_s *, struct netsnmp_request_info_s *)
if you add more members, you probably also want to update
void(* data_free )(void *myvoid)
data free hook for myvoid
struct netsnmp_mib_handler_s * next
struct netsnmp_mib_handler_s * prev

Detailed Description

the mib handler structure to be registered

Examples:

delayed_instance.c.

Definition at line 48 of file agent_handler.h.

Field Documentation

  int(* netsnmp_mib_handler_s::access_method)(struct netsnmp_mib_handler_s *, struct netsnmp_handler_registration_s *, struct netsnmp_agent_request_info_s *, struct netsnmp_request_info_s *)

if you add more members, you probably also want to update _clone_handler in agent_handler.c.

  void(* netsnmp_mib_handler_s::data_free)(void *myvoid)

data free hook for myvoid

  int netsnmp_mib_handler_s::flags

for agent_handler's internal use

Definition at line 53 of file agent_handler.h.

  void* netsnmp_mib_handler_s::myvoid

for handler's internal use

Definition at line 51 of file agent_handler.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.